Country
POST
/applications/{application_id}/countriesCreate
Create an application country to enable operations in a specific country.
This creates the country configuration, 4 system customer rows (application, lodash, settlement, provider) plus their default balances, provider credentials, and a webhook token. The response carries only their IDs (application_customer_id, lodash_customer_id, settlement_customer_id, provider_customer_id); fetch the full customer objects via the customers endpoint when needed.
provider
stripe | omise | wise | scb | kbank
Requires: Bearer token, X-Country header, application selected via Update Me.
Request
Example
curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{application_id}}/countries' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-d '{
"country": "US",
"timezone": "<string>",
"default_currency": "USD"
}'Headers
| Name | Value |
|---|---|
| X-Session-Token | {{session_token}} |
| X-Country | {{country}} |
Body
| Name | Type | Value |
|---|---|---|
| country | string | US |
| timezone | string | <string> |
| default_currency | string | USD |
{
"country": "US",
"timezone": "<string>",
"default_currency": "USD"
}Responses
200200
Headers
| Name | Value |
|---|---|
| Date | Mon, 29 Jun 2026 03:26:58 GMT |
| Content-Type | application/json |
| Content-Length | 284 |
| Vary | Origin |
| X-Request-Id | 68ccb5d1-fe95-42a9-98e8-db944a4336d2 |
Body
{
"id": "a3633859-d21b-4286-920d-4df227982f0f",
"object": "application_country",
"created_at": "2026-06-29T03:26:57.028237Z",
"updated_at": "2026-06-29T03:26:57.21562Z",
"deleted_at": null,
"country": "US",
"default_currency": "USD",
"application_customer_id": "74840cf3-36e9-4063-9454-9ced528b4fc1"
}